using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace File_To_Array
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void getValuesButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Utworzenie tablicy przechowującej elementy odczytane z pliku.
                const int SIZE = 5;
                int[] numbers = new int[SIZE];

                // Zmienna licznika przeznaczona do użycia w pętli.
                int index = 0;

                // Zadeklarowanie zmiennej typu StreamReader.
                StreamReader inputFile;

                // Otworzenie pliku i pobranie obiektu typu StreamReader.
                inputFile = File.OpenText("Values.txt");

                // Odczyt zawartości pliku i umieszczenie jej w tablicy.
                while (index < numbers.Length && !inputFile.EndOfStream)
                {
                    numbers[index] = int.Parse(inputFile.ReadLine());
                    index++;
                }

                // Zamknięcie pliku.
                inputFile.Close();

                // Wyświetlenie elementów tablicy w kontrolce ListBox.
                foreach (int value in numbers)
                {
                    outputListBox.Items.Add(value);
                }
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
